## golang-github-kevinburke-ssh-config 1.4.0

=== Makefile ===
BUMP_VERSION := $(GOPATH)/bin/bump_version
WRITE_MAILMAP := $(GOPATH)/bin/write_mailmap

lint:
	go vet ./...
	go run honnef.co/go/tools/cmd/staticcheck@latest ./...

test:
	@# the timeout helps guard against infinite recursion
	go test -timeout=250ms ./...

race-test:
	go test -timeout=500ms -race ./...

$(BUMP_VERSION):
	go get -u github.com/kevinburke/bump_version

$(WRITE_MAILMAP):
	go get -u github.com/kevinburke/write_mailmap

release: test | $(BUMP_VERSION)
	$(BUMP_VERSION) --tag-prefix=v minor config.go

force: ;

AUTHORS.txt: force | $(WRITE_MAILMAP)
	$(WRITE_MAILMAP) > AUTHORS.txt

authors: AUTHORS.txt

## golang-github-kevinburke-ssh-config 0.5

=== debian/changelog ===
golang-github-kevinburke-ssh-config (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #924618)

 -- Dawid Dziurla <dawidd0811@gmail.com>  Fri, 15 Mar 2019 00:06:39 +0100

=== debian/control ===
Source: golang-github-kevinburke-ssh-config
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dawid Dziurla <dawidd0811@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-pelletier-go-buffruneio-dev,
Standards-Version: 4.3.0
Homepage: https://github.com/kevinburke/ssh_config
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config.git
XS-Go-Import-Path: github.com/kevinburke/ssh_config
Testsuite: autopkgtest-pkg-go

Package: golang-github-kevinburke-ssh-config-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-pelletier-go-buffruneio-dev,
Description: Go parser for ssh_config files
 ssh_config This is a Go parser for ssh_config files. Importantly,
 this parser attempts to preserve comments in a given file, so you can
 manipulate a ssh_config file from a program, if your heart desires.
 .
 It's designed to be used with the excellent x/crypto/ssh
 (https://golang.org/x/crypto/ssh) package, which handles SSH negotiation
 but isn't very easy to configure.

## golang-github-kevinburke-ssh-config 1.0

=== debian/changelog ===
golang-github-kevinburke-ssh-config (1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 18:18:21 +0000

golang-github-kevinburke-ssh-config (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * d/control: bump standards

 -- Dawid Dziurla <dawidd0811@gmail.com>  Thu, 01 Aug 2019 22:07:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  golang-any,
  golang-github-pelletier-go-buffruneio-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/kevinburke/ssh_config
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config.git

## golang-github-kevinburke-ssh-config 1.2.0

=== debian/changelog ===
golang-github-kevinburke-ssh-config (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1059626)
  * Bump Standards-Version to 4.6.2.
  * Use golang Section:.
  * Bump compat to 13.
  * Bump copyright years.
  * Wrap-and-sort.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Dec 2023 17:05:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-kevinburke-ssh-config
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Dawid Dziurla <dawidd0811@gmail.com>,
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
 Build-Depends-Indep:
  golang-any,
  golang-github-pelletier-go-buffruneio-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/kevinburke/ssh_config
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config.git
@@ -21,8 +21,8 @@
 Package: golang-github-kevinburke-ssh-config-dev
 Architecture: all
 Depends:
+ golang-github-pelletier-go-buffruneio-dev,
  ${misc:Depends},
- golang-github-pelletier-go-buffruneio-dev,
 Description: Go parser for ssh_config files
  ssh_config This is a Go parser for ssh_config files. Importantly,
  this parser attempts to preserve comments in a given file, so you can

## golang-github-kevinburke-ssh-config 1.3

=== debian/changelog ===
golang-github-kevinburke-ssh-config (1.3-1) unstable; urgency=medium

  * Team upload.
  * Add d/salsa-ci.yml.
  * New upstream version 1.3
  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * Mark golang-github-kevinburke-ssh-config-dev as Multi-Arch: foreign.
  * Drop no longer relevant Files-Excluded: from d/copyright.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 10:03:00 +0200

## golang-github-kevinburke-ssh-config 1.4.0

=== debian/changelog ===
golang-github-kevinburke-ssh-config (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.0

 -- Simon Josefsson <simon@josefsson.org>  Wed, 20 Aug 2025 00:05:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends-Indep:
  golang-any,
  golang-github-pelletier-go-buffruneio-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/kevinburke/ssh_config
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kevinburke-ssh-config.git
@@ -20,6 +20,7 @@
 
 Package: golang-github-kevinburke-ssh-config-dev
 Architecture: all
+Multi-Arch: foreign
 Depends:
  golang-github-pelletier-go-buffruneio-dev,
  ${misc:Depends},

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-kevinburke-ssh-config-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/kevinburke/ssh_config/tags .*/v?(\d\S*)\.tar\.gz
